Hi guys,

I've been working with imaging and zmgexplorer for about a year now and I haven't had any problem since today.

I wanted to create a simple add-on image, as usual, but when I try to save it, it crashs and I get this error:

"Problem in dependency or java version is not compatible(needs 1.5 or higher) check zmgexp.log file."

Here's the content of the log file:
Exception in thread "main" java.lang.NullPointerException
at com.novell.ImgExplorer.ImageFileUtils.generateShor tName(ImageFileUtils.java:207)
at com.novell.ImgExplorer.Main.updateFileList(Main.ja va:1723)
at com.novell.ImgExplorer.Main.saveFile(Main.java:159 5)
at com.novell.ImgExplorer.Main.saveFileAs(Main.java:1 438)
at com.novell.ImgExplorer.Main.saveFile(Main.java:144 5)
at com.novell.ImgExplorer.ImgExplorerToolbar$3.widget Selected(ImgExplorerToolbar.java:72)
at org.eclipse.swt.widgets.TypedListener.handleEvent( TypedListener.java:90)
at org.eclipse.swt.widgets.EventTable.sendEvent(Event Table.java:66)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.ja va:928)
at org.eclipse.swt.widgets.Display.runDeferredEvents( Display.java:3348)
at org.eclipse.swt.widgets.Display.readAndDispatch(Di splay.java:2968)
at com.novell.ImgExplorer.Main.run(Main.java:110)
at com.novell.ImgExplorer.Main.main(Main.java:228)